function nightlyrun(varargin)
%NIGHTLYRUN - run the nighlty tests on 'tests/Verification'
%
%   This function goes to each directory of 'tests/Verifications' and
%   launch the nightly tests. A specific package can be given in input
%   only this package will be tested
%
%  Usage:
%      nightlyrun(varargin)
%
%   Example:
%      nightlyrun;
%      nightlyrun({'ice'});
%      nightlyrun({'cielo_serial','cielo_parallel'});

%use ISSM_DIR generated by startup.m
global ISSM_DIR

%Go to Test directory
eval(['cd ' ISSM_DIR '/test/']);

%Run all verification tests
cd Verification

%Get a list of the test decks
[status,list]=system('ls -l | grep -v CVS | grep -v cielo | awk ''{printf("%s|",$9);}'' '); %only works on *nix systems.
list=strsplit(list,'|');
%Go through list of decks, and run the deck runme.m files.
for i=2:length(list)-1,
	eval(['cd ' list{i}]);
	if nargin==1
		runme(varargin{1});
	else
		runme({'macayeal' 'ice' 'cielo_serial'});
	end
	cd ..
end
disp('NIGHTLYRUNTERMINATEDCORRECTLY');
